Subject: Freely distributable mrinfo?

From: "Bill Nowicki" <[email-masked]>
Date: Fri, 11 Apr 1997 10:55:23 -0700

There is a useful program called "mrinfo" that sends
a specific multicast router a DVMRP_ASK_NEIGHBORS2 packet
and prints the resulting neighbor list. The problem
is that the source code carries a Xerox copyright that
prevents commercial distribution, so we are not allowed
to put it in our release. Xerox has filed lawsuits against
us in the past, so we need to be careful about such things.

I have asked people at Xerox several times if the restriction
could be relaxed, but it remains.  Is there any chance that
someone who has not read the source code for mrinfo could
write a version that does carry the restriction? Since I have
seen the restricted source code, I am "tainted" and
cannot do it myself.

Putting mtrace into our release was a great step to making
multicast a more viable production service. We can use
other tools too.  Thanks.